io.vertx.rxjava.core.eventbus

## Class MessageConsumer<T>

- java.lang.Object
- - io.vertx.rxjava.core.eventbus.MessageConsumer<T>

- All Implemented Interfaces:
    ReadStream<Message<T>>, StreamBase

      public class MessageConsumer<T>
      extends Object
      implements ReadStream<Message<T>>

  An event bus consumer object representing a stream of message to an `EventBus` address that can be read from.

  The `EventBus.consumer(java.lang.String)` or `EventBus.localConsumer(java.lang.String)` creates a new consumer, the returned consumer is not yet registered against the event bus. Registration is effective after the `handler(io.vertx.core.Handler<io.vertx.rxjava.core.eventbus.Message<T>>)` method is invoked.

  The consumer is unregistered from the event bus using the `unregister()` method or by calling the `handler(io.vertx.core.Handler<io.vertx.rxjava.core.eventbus.Message<T>>)` with a null value..

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageConsumer(MessageConsumer delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `address()`
    `ReadStream<T>` | `bodyStream()`
    `void` | `completionHandler(Handler<AsyncResult<Void>> completionHandler)` Optional method which can be called to indicate when the registration has been propagated across the cluster.
    `Observable<Void>` | `completionHandlerObservable()` Optional method which can be called to indicate when the registration has been propagated across the cluster.
    `MessageConsumer<T>` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `MessageConsumer<T>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `Object` | `getDelegate()`
    `int` | `getMaxBufferedMessages()`
    `MessageConsumer<T>` | `handler(Handler<Message<T>> handler)` Set a data handler.
    `boolean` | `isRegistered()`
    `static <T> MessageConsumer` | `newInstance(MessageConsumer arg)`
    `MessageConsumer<T>` | `pause()` Pause the `ReadSupport`.
    `MessageConsumer<T>` | `resume()` Resume reading.
    `MessageConsumer<T>` | `setMaxBufferedMessages(int maxBufferedMessages)` Set the number of messages this registration will buffer when this stream is paused.
    `Observable<Message<T>>` | `toObservable()`
    `void` | `unregister()` Unregisters the handler which created this registration
    `void` | `unregister(Handler<AsyncResult<Void>> completionHandler)` Unregisters the handler which created this registration
    `Observable<Void>` | `unregisterObservable()` Unregisters the handler which created this registration

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Constructor Detail

    - #### MessageConsumer

          public MessageConsumer(MessageConsumer delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Message<T>>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<Message<T>> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Message<T>>`

    - #### exceptionHandler

          public MessageConsumer<T> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Message<T>>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public MessageConsumer<T> handler(Handler<Message<T>> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Message<T>>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public MessageConsumer<T> pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<Message<T>>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public MessageConsumer<T> resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Message<T>>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public MessageConsumer<T> endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Message<T>>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### bodyStream

          public ReadStream<T> bodyStream()

      Returns:
        a read stream for the body of the message stream.

    - #### isRegistered

          public boolean isRegistered()

      Returns:
        true if the current consumer is registered

    - #### address

          public String address()

      Returns:
        The address the handler was registered with.

    - #### setMaxBufferedMessages

          public MessageConsumer<T> setMaxBufferedMessages(int maxBufferedMessages)

      Set the number of messages this registration will buffer when this stream is paused. The default value is `0`. When a new value is set, buffered messages may be discarded to reach the new value.
      Parameters:
        `maxBufferedMessages` - the maximum number of messages that can be buffered
      Returns:
        this registration

    - #### getMaxBufferedMessages

          public int getMaxBufferedMessages()

      Returns:
        the maximum number of messages that can be buffered when this stream is paused

    - #### completionHandler

          public void completionHandler(Handler<AsyncResult<Void>> completionHandler)

      Optional method which can be called to indicate when the registration has been propagated across the cluster.
      Parameters:
        `completionHandler` - the completion handler

    - #### completionHandlerObservable

          public Observable<Void> completionHandlerObservable()

      Optional method which can be called to indicate when the registration has been propagated across the cluster.
      Returns:

    - #### unregister

          public void unregister()

      Unregisters the handler which created this registration

    - #### unregister

          public void unregister(Handler<AsyncResult<Void>> completionHandler)

      Unregisters the handler which created this registration
      Parameters:
        `completionHandler` - the handler called when the unregister is done. For example in a cluster when all nodes of the event bus have been unregistered.

    - #### unregisterObservable

          public Observable<Void> unregisterObservable()

      Unregisters the handler which created this registration
      Returns:

    - #### newInstance

          public static <T> MessageConsumer newInstance(MessageConsumer arg)

Copyright © 2016. All rights reserved.